<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:layout_below="@+id/navigation_bar">

        <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:orientation="horizontal"
                android:id="@+id/llScannerName"
                android:background="@drawable/select_setting_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="8dp"
                android:layout_marginRight="5dp">

                <TextView
                    android:gravity="center"
                    android:layout_gravity="left"
                    android:id="@+id/tvScannerNameTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="45dp"
                    android:layout_marginLeft="8dp"
                    android:text="@string/str_settings_lbl_scanner"
                    style="@style/ItemTextBold" />

                <TextView
                    android:textSize="17sp"
                    android:textColor="@android:color/darker_gray"
                    android:ellipsize="end"
                    android:gravity="right|center_vertical|center_horizontal|center"
                    android:layout_gravity="right"
                    android:id="@+id/tvScannerName"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginLeft="2dp"
                    android:layout_marginRight="5dp"
                    android:text="@string/str_lbl_title_scan"
                    android:singleLine="true"
                    android:layout_weight="1" />

                <ImageView
                    android:layout_gravity="center_vertical"
                    android:id="@+id/imageViewPrinterLocation"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/print_local"
                    android:scaleType="fitXY" />

                <ImageView
                    android:layout_gravity="center_vertical"
                    android:layout_width="31dp"
                    android:layout_height="31dp"
                    android:src="@drawable/next_screen"
                    android:scaleType="fitXY" />
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:background="@drawable/setting_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="5dp">

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/llScanSettingsSource"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:gravity="center_vertical"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_settings_source_title"
                        style="@style/ItemTextBold" />

                    <TextView
                        android:textSize="18sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tvScannerSource"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/str_settings_color_title"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/source_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/viewScanSettingsSource"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/llScanSettingsSize"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:gravity="center_vertical"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_scanning_size"
                        style="@style/ItemTextBold" />

                    <TextView
                        android:textSize="18sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tvScannerSize"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/str_settings_undefine_scansize"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/llScanSettingsColor"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:gravity="center_vertical"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_settings_color_title"
                        style="@style/ItemTextBold" />

                    <TextView
                        android:textSize="18sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tvScannerColor"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/str_settings_color_title"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/type_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/llScanSettingsResolution"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_settings_resolution_title"
                        style="@style/ItemTextBold" />

                    <TextView
                        android:textSize="18sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tvScannerResolution"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/str_settings_resolution_title"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/resolution_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:background="@drawable/setting_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="5dp">

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/llScanSettingsAdvance2Sided"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:gravity="center_vertical"
                        android:layout_width="wrap_content"
                        android:layout_height="45dp"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_settings_2sided_title"
                        style="@style/ItemTextBold" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tvScanner2Sided"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/str_settings_source_doctable"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/viewScanSettingsAdvance2Sided"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/llScanSettingsDensity"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="45dp"
                        android:layout_marginLeft="8dp"
                        android:text="@string/brightness"
                        style="@style/ItemTextBold" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tvScannerDensity"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/brightness"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/brightness_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/brightnessSeparator"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/llScanSettingsGamma"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="45dp"
                        android:layout_marginLeft="8dp"
                        android:text="@string/str_settings_gamma_title"
                        style="@style/ItemTextBold" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/tvScannerGamma"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/str_settings_gamma_title"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/resolution_next_screen_imv2"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

    <RelativeLayout
        android:id="@+id/progressGetOption"
        android:visibility="gone"
        style="@style/CoverProgress">

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />
    </RelativeLayout>
</RelativeLayout>
